VelocityReport Plugin - Defect #1335

getPDFReport does not print Chinese characters in the PDF
07/18/2018 08:52 AM - Jos de Bruijn

Status: Rejected Start date: 07/18/2018
Priority: Normal Due date:

Assignee: % Done: 0%
Category: velocity Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description

When trying to create a PDF report with Chinese text, it does not print the Chinese characters.
While the generated HTML file (renderTemplate) does show the text correctly.

Velocity 3.5.53

Servoy 8.2.2 (NG Client)

History

#1 - 07/20/2018 01:41 AM - Patrick Talbot

Looks like the fonts are inserted in the PDF encoded in ANSI, instead of UTF.
No idea where in the xhtmIRenderer and iText this happens and if | will be able to fix it.

#2 - 07/31/2018 03:13 PM - Jos de Bruijn
Hi Patrick,

Any update on this item? Do you think you will be able to help me with this?

#3 - 08/23/2018 07:30 PM - Patrick Talbot

- Status changed from New to Rejected
